NuminaDevelopers
Dashboard
List bank lines

List bank lines

GET
/v1/bank-transactions

Bank lines as the bank reported them, newest first, with the journal entries each is reconciled with.

Requires one ofbank:readread:ledger

Query parameters

  • bank_account_idstring (uuid)
    Only this bank account (from GET /v1/bank-accounts)
  • from_datestring· YYYY-MM-DD
  • to_datestring· YYYY-MM-DD
  • amount_minnumber· nullable
    Signed, in the line's currency: negative is money out
  • amount_maxnumber· nullable
  • textstring· max 200 chars
    Text in the payment reference or counterparty name
  • statestring
    Only lines in this state. Omit for all.
    One ofunreconciledreconciled
  • limitinteger· 1–500
    Maximum number of results (default 100, max 500)

    Default 100

  • offsetinteger· nullable· ≥ 0
    Number of results to skip

    Default 0

Errors

  • 400Invalid input or validation failed
  • 401Invalid or missing authentication
  • 403Missing scope, or the company is archived
  • 429Rate limit exceeded
  • 500Internal Server Error

Every error has the same shape. See Errors.

cURL
curl https://api.numina.app/v1/bank-transactions \
  -H "Authorization: Bearer numi_YOUR_API_KEY"
JavaScript
const response = await fetch("https://api.numina.app/v1/bank-transactions", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
  },
});

const data = await response.json();
Python
import os

import requests

response = requests.get(
    "https://api.numina.app/v1/bank-transactions",
    headers={
        "Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
    },
)
data = response.json()
Response
200
{
  "bank_transactions": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "bank_account_id": "550e8400-e29b-41d4-a716-446655440000",
      "bank_account_name": "string",
      "ledger_account_number": 0,
      "date": "string",
      "value_date": "string",
      "amount": 0,
      "currency": "string",
      "counterparty": "string",
      "payment_reference": "string",
      "state": "unreconciled",
      "journal_entries": [
        {
          "id": "550e8400-e29b-41d4-a716-446655440000",
          "state": "draft"
        }
      ],
      "agent_processing": false
    }
  ],
  "has_more": false,
  "next_offset": 0
}